Update Agency Billing By Id
curl --request PUT \
--url 'https://api.example.com/api/v1/agency/billing/{billing_plan_id}?api_key=' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"bots_count": 123,
"queries_count": 123,
"words_count": 123,
"voice_seconds": 123,
"premium_support": true,
"default_plan": true,
"remove_branding": true,
"advanced_intents": true,
"auto_intents": true,
"billing_plan_group": "<string>",
"credits": {},
"attributes": {},
"agency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/agency/billing/{billing_plan_id}?api_key="
payload = {
"name": "<string>",
"description": "<string>",
"bots_count": 123,
"queries_count": 123,
"words_count": 123,
"voice_seconds": 123,
"premium_support": True,
"default_plan": True,
"remove_branding": True,
"advanced_intents": True,
"auto_intents": True,
"billing_plan_group": "<string>",
"credits": {},
"attributes": {},
"agency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
bots_count: 123,
queries_count: 123,
words_count: 123,
voice_seconds: 123,
premium_support: true,
default_plan: true,
remove_branding: true,
advanced_intents: true,
auto_intents: true,
billing_plan_group: '<string>',
credits: {},
attributes: {},
agency_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/agency/billing/{billing_plan_id}?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Data updated successfully",
"meta": {},
"data": {
"name": "<string>",
"description": "<string>",
"bots_count": 123,
"queries_count": 123,
"words_count": 123,
"voice_seconds": 123,
"premium_support": true,
"default_plan": true,
"remove_branding": true,
"advanced_intents": true,
"auto_intents": true,
"billing_plan_group": "<string>",
"credits": {},
"attributes": {},
"agency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agency Billing
Update Agency Billing By Id
PUT
/
api
/
v1
/
agency
/
billing
/
{billing_plan_id}
Update Agency Billing By Id
Authorizations
Your API KeyHTTPBearer
Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.
Path Parameters
Body
application/json
Was this page helpful?

